Is there a way to extrude a cut through an assembly but only cutting the parts I want cut? I am using Inventor 2012. Basically I want to use a part in the assembly as reference for the cut. But I do not actually want to cut that part only the surrounding parts.
I'm new to autodesk. I cannot seem to figure out how to angle a piece of material after it has been extruded.
For example, If I create a shape ie. a 10mm square and extrude the shape to a length of say 100mm, and want to miter either end at 45 degrees so as I can join them to create a 90 degree angled piece....
How do I angle the end of the extruded piece?
I know it can be done with a simple chamfer but this is not ideal when dealing with more complicated shapes.
I have two simple parts: an (almost) rectangular prism and a simple polygonal extrusion. The polygonal extrusion needs to be situated inside the prism, so I placed them in an assembly constrained the polygonal extrusion made a sketch on the extrusion with a simple 1/8 outward Offset of the profiledid a Model > Modify Assembly > Extrude using the profile and Through All selected removed the polygonal extrusion as a participant to get the desired effect (in the photo, the offset is enlarged for clarity):
This works perfectly at the assembly level. However, I would also like this cut to be propagated to the rectangular part itself (the part through which the cut passes). When I open the part file, I still see the original part without the cut. Is there a way I can cut the part itself without recreating the shape in the part to be cut?
I've tried using Model > Create > Derive with the intention of using Model > Modify > Combine with an operation mode of Cut, but when I Derive the part, it is placed in the wrong location:
I have draw in DWG the front view of a ship's frame. I've closed the loop in inventor and extruded the object but I am unable to sketch on most of the surface to complete the side view..??
I can only sketch on one section the upper and lower sections it won't allow me too.
The top should be offset to the right but I am unable to draw the sketch onto the fame.
I'm making a throttle body spacer in 2013 For some reason I can't get a hole made on the side of the extruded side.I place a general point on a new 2d sketch and no luck.
It is a simple rectangular plate with 13 holes through on a pitch circle.
I have used a "circle" to construct the "Pitch Circle" and a "line" to construct the top dead centre of the circle.
I have then added a circle to use as a hole feature and used the circular pattern to make the holes equi-spaced around the circle.
This circle is then extruded "Through All".
My question is, How can I eliminate the construction "Circles" and "Lines" from the following code, only allowing sketch entites that are directly associated to an extruded feature to be accepted?
Public Function WriteDxfSketchEntities(Doc As PartDocument, sketch As PlanarSketch) As Boolean Dim partCompDef As PartComponentDefinition
I am trying to assemble an extruded tube that has holes drilled, to a flat plate to be bolted together. when i go to assemble the parts the drilled holes will not highlight to attach the plate to.
Extruded hole iFeature for sheet metal (see image attached)? I found one but it's in German & I can't get it to work. I tried making one but not I'm apparently experienced enough to get past learning curve yet for iFeatures like this.
After creating a solid and made some cutting, notching etc. the finished length is not the same as the initial extruded solid. so to get the length of the final solid ,
1. I would project geometry , and get the extreme end to get the finish length,this reference dim is now shown in parameter,
2. Go to parameter and change this ref dim name to "length" ,
3. Check the export box ,
4. Right click this ref dim to change the custom property format
5. Where i would uncheck the "units string" box
All these steps to extract the length of a single part , so just imagine if my assembly consist of 50 parts, i would do this 50 times! and usually i have almost a hundred assembly to work everytime.
how can i change color of the extruded items becuase when i view it from the top it doesn't look like if anything is extrude. you would have to look from the side to tell if its extruded.
I am new Inventor user (2014 version) trying to get up to speed on best practices and the most efficient work flows. I find myself designing individual parts that start off as base AISC shapes (angles, square tubes, rectangular tubes, etc.). These are parts that start off as base extrusions that then have multiple machining operations performed on them. In most cases, the parts are stand along parts that aren't involved in any type of frame.
In these cases, I generally sketch the profile from scratch using my AISC book and then extrude. I'm sure this is silly. Frame generator already has the profile data built in- so why am I sketching these profiles from scratch? But using frame generator in an assembly environment to make a single member part seems silly to me also. Why should there be an assembly file at all? I just want a single part that starts off as some length of some standard profile. Using frame generator in an assembly environment seems like overkill.
What is the best practice for starting off a part with some length of a standard ANSI, ISO, or other profile?
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
We have an iLogic assembly with to parts in it. Maybe to cylindrical parts. The iLogic rules should do the following.
1. Start a Rule after open document.
2. This Rule starts a Rule in the first cylindrical component.
3. This Rule ask the user for a diameter.
4. The assembly gives this new parameter value to the second component
5. Then the assembly calls another rule in the second component to change it with the new parameter
Everything is working fine when the following combinations are taking place:
1. I open up the assembly out of vault or from a local drive or an accessible server drive
2. I insert the assembly as sub assembly in another assembly from a local drive or an accessible server drive
It don't work with the following situation:
- I insert the assembly as sub assembly in another assembly out of vault
Then the user becomes the dialog "Choose a diameter" twice.
I don't know why, but I have the idea it has something to do with the functionality of inventor to insert a component more than once. If you insert a component in an assembly Inventor gives you the opportunity to add more than one occurence after each other.
change that behaviour? Maybe a switch to change that inventor "add more than one occurence" behaviour.
I have encountered a problem with the Tube and Pipe styles.
As you can see, I have a rack assembly with a custom tube and pipe style. A wire as a tube in orange, and a tube support in white. Both have their seperate colorations at a style in the tube and pipe styles editor
When placing the rack assembly into the main assembly, it reverts to the coppor coloration I changed from the original style.
Steps I've taken:
Exported the styles .xml and Imported the styles into the master tubeandpipe.iam
Imported the user created .xml styles into the main assembly file nothing seems to work
I am trying to find the interior volume of an assembly (when am I not?!?!) by subtracting the assembly from a block that surrounds the most of it. Somewhere the assembly has a "leak" and I have been trying to use the Cross Section Analysis to track down where the inside lump is connected to the outside lump to be subtracted. Is there a less time consuming way to dynamically drag a plane across and get cross sectional views?
Even better is there a simple way to animate the analysis plane moving across the block so I can hopefully just watch and pause it when I find a leak?
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
I would like to see if there is a routine that allows my iLogic code to detect if my assembly contains another assembly within it. If my assebly contains assemblies then I don't want "MyRule" to run. Else if it does then I want "MyRule" to run.
i usually trace a 2d plane with a 2d polyline, and then extrude it (using the extrude command) , the problem is that i cant see in the properties its XYZ position,
is there anyway to see this information and of course to modify it?
I've been working on 3D models and noticed when i take a circle and extrude it along a path (usually a spline) it adds a lot to a file size. The objects are used as electrical conductors on power poles. After a few city blocks of this the model file size becomes basically unusable.
So my question is why does extruding a circle along a curved path increase the file size so drastically and is there another alternative to keep the file size down?